/**
 * function to validate
 * @param {*} nom
 * @param {*} error
 * @param {*} arrayNiveau
 * @returns Boolean
 */
const validationSingleNiveau = (nom, error, arrayNiveau) => {
  let isValid = true

  if (nom.value === '') {
    error.textContent = 'Nom requis pour soumettre la formulaire'
    isValid = false
  } else if (arrayNiveau.includes(nom.value) === true) {
    error.textContent = `${nom.value} existe déjà`
    isValid = false
  } else {
    error.textContent = ''
  }

  return isValid
}

export default validationSingleNiveau
